Package org.springframework.security.config.annotation.web.configurers

# Class AuthorizeHttpRequestsConfigurer<H extends HttpSecurityBuilder<H>>

java.lang.Object
org.springframework.security.config.annotation.SecurityConfigurerAdapter<org.springframework.security.web.DefaultSecurityFilterChain,B>
org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer<AuthorizeHttpRequestsConfigurer<H>,H>
org.springframework.security.config.annotation.web.configurers.AuthorizeHttpRequestsConfigurer<H>

Type Parameters:
  `H` - the type of `HttpSecurityBuilder` that is being configured.

All Implemented Interfaces:
  `SecurityConfigurer<org.springframework.security.web.DefaultSecurityFilterChain,H>`

public final class AuthorizeHttpRequestsConfigurer<H extends HttpSecurityBuilder<H>> extends AbstractHttpConfigurer<AuthorizeHttpRequestsConfigurer<H>,H>
Adds a URL based authorization using `AuthorizationManager`.

Since:
  5.5

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`final class`
`AuthorizeHttpRequestsConfigurer.AuthorizationManagerRequestMatcherRegistry`
Registry for mapping a `RequestMatcher` to an `AuthorizationManager`.
`class`
`AuthorizeHttpRequestsConfigurer.AuthorizedUrl`
An object that allows configuring the `AuthorizationManager` for `RequestMatcher`s.

## Constructor Summary

Constructors
Constructor
Description
`AuthorizeHttpRequestsConfigurer(org.springframework.context.ApplicationContext context)`
Creates an instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(H http)`
Configure the `SecurityBuilder` by setting the necessary properties on the `SecurityBuilder`.
`AuthorizeHttpRequestsConfigurer<H>.AuthorizationManagerRequestMatcherRegistry`
`getRegistry()`
The `AuthorizeHttpRequestsConfigurer<H extends HttpSecurityBuilder<H>>.AuthorizationManagerRequestMatcherRegistry` is what users will interact with after applying the `AuthorizeHttpRequestsConfigurer`.

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer

`disable, getSecurityContextHolderStrategy, withObjectPostProcessor, withObjectPostProcessor`

### Methods inherited from class org.springframework.security.config.annotation.SecurityConfigurerAdapter

`addObjectPostProcessor, addObjectPostProcessor, and, getBuilder, init, postProcess, setBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthorizeHttpRequestsConfigurer

public AuthorizeHttpRequestsConfigurer(org.springframework.context.ApplicationContext context)
Creates an instance.

Parameters:
  `context` - the `ApplicationContext` to use

## Method Details

### getRegistry

public AuthorizeHttpRequestsConfigurer<H>.AuthorizationManagerRequestMatcherRegistry getRegistry()
The `AuthorizeHttpRequestsConfigurer<H extends HttpSecurityBuilder<H>>.AuthorizationManagerRequestMatcherRegistry` is what users will interact with after applying the `AuthorizeHttpRequestsConfigurer`.

Returns:
  the `AuthorizeHttpRequestsConfigurer<H extends HttpSecurityBuilder<H>>.AuthorizationManagerRequestMatcherRegistry` for further customizations

### configure

public void configure(H http)
Description copied from interface: `SecurityConfigurer`
Configure the `SecurityBuilder` by setting the necessary properties on the `SecurityBuilder`.

Specified by:
  `configure` in interface `SecurityConfigurer<org.springframework.security.web.DefaultSecurityFilterChain,H extends HttpSecurityBuilder<H>>`
Overrides:
  `configure` in class `SecurityConfigurerAdapter<org.springframework.security.web.DefaultSecurityFilterChain,H extends HttpSecurityBuilder<H>>`